Search the Community
Showing results for tags 'show hide lisp'.
-
Hey guys, Been an AutoCAD user for a few years. I am a steel detailer and use add-on programs. Previously I had been using a program called EasySteel – and just recently switched to Prosteel. Im trying to create a routine which resembles a utility which EasySteel had – but ProSteel is missing. The idea is that I have a bunch of 3D objects within my model – and I like to hide and show each item as I wish. In EasySteel this procedure was executed using layers – but ProSteel requires a different method. ProSteel does have its own hide and show commands, but they aren’t as functional as EasySteel’s was. What I would like to achieve is as follows: 1. - There are multiple objects within a model, and I hide some of them to be able to work with more clarity. 2. - Using ProSteel’s hide command – any number of obects can be hidden. 3. - Now… of the objects that are hidden – I would like to be able to select a specific few to show (I do not wish to show ALL hidden objects, but rather show any objects I select, leaving the already showing objects still visible). So the procedure would be as follows. - 1. Hide some objects. - 2. Decide I wish to show SOME of the objects I have hidden. - 3. Enable a temporary preview of ALL objects within model – allowing me to select which objects I want to show. - 4. Once I have picked the objects to show – the temp preview of the full model is ended, all objects visible before the command are sill visible, as well as any objects I have selected during the temporary preview. I have written a LISP routine for this (though it’s a little sloppy) – it does work most of the time. Sometimes… the lisp routine does not work though – if I have some objects hidden… then I select objects I wish to show…. ALL objects become visible (not just the ones I select). So, can someone please help me refine this routine – or offer me any advice on an alternate method for setting this up? The two Prosteel commands used in this routine are: - "Ps_Regen" – shows all objects in model (I use this for my temp preview to select which objects to show. - "Ps_Hide_exclude” – hides all objects in model except any selected. I have attached my routine - and my code is below. Thanks for any help. (defun c:ss (/ pt1 pt2 sset1 sset2) (setq pt1 '( -500000000 -500000000 -500000000)) (setq pt2 '( 500000000 500000000 500000000)) (command "zoom" "all") (setq sset1 (ssget "W" pt1 pt2)) (command "zoom" "P") (command "Ps_Regen") (setq sset2 (ssget)) (command "Ps_Hide_exclude" sset1 sset2 "") (princ) ) ShowSteel.LSP